%define	name	emma
%define version 0.8.2
%define rel	8
%define release %mkrel %rel

Summary:	Money management program for Gnome/Gtk+
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Office
Source0:	%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
URL:		http://rainbow.mimuw.edu.pl/~la181249/emma/home.php
Source10:	%{name}.16.png
Source11:	%{name}.32.png
Source12:	%{name}.48.png
Buildrequires:	libpython-devel
BuildRequires:  gtk-devel gnome-libs-devel

%description
This program allows to easy manage your incomes and expenses.
It is simple in design, but extensible through embeded python
interface. Install it if you want to keep track of your money.

%prep
%setup -q

%build
rm config.cache
#CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
#    --prefix=$RPM_BUILD_ROOT%{_prefix}
%configure
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application <<EOF
Categories=Office;Finance;
Exec=emma
Name=Emma
Comment=Personal finance management
Icon=%{name}
EOF
 

install -m644 %{SOURCE10} -D $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%if %mdkversion < 200900
%post 
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%{_bindir}/*
%{_datadir}/emma
%{_datadir}/gnome/help/emma
%{_datadir}/gnome/apps/Applications/emma.desktop
%{_datadir}/applications/*.desktop
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO



%changelog
* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.8.2-8mdv2009.0
+ Revision: 218424
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.8.2-8mdv2008.1
+ Revision: 131553
- auto-convert XDG menu entry
- BR gnome-libs-devel
- kill re-definition of %%buildroot on Pixel's request
- import emma


* Fri Oct 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.2-8mdk
- Fix BuildRequires

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.2-7mdk
 - Buildrequires fix 

* Wed May 25 2005 Eskild Hustvedt <eskild@mandriva.org> 0.8.2-6mdk
- %%mkrel
- Fix url

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.2-5mdk
- Rebuild for new  python

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.2-4mdk
- rebuild for new python
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- use %%configure and %%makeinstall macro
- cleanups
- bunzip2 icons
- add unpackaged .desktop file

* Thu Jan 16 2003 Laurent Culioli <laurent@mandrakesoft.com> 0.8.2-3mdk
- rebuild

* Fri Jul 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-2mdk
- buildrequires libpython2.2-devel
- update url

* Tue Jun 18 2002 Laurent Culioli <laurent@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2
- png icons

* Fri Oct 19 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 0.8-4mdk
- License.
- menu-icons.

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- New office menu struture
- use find_lang macro

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8-2mdk
- some spec cleanings

* Fri Dec 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8-1mdk
- updated to 0.8

* Wed Aug 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7-12mdk 
- v0.7 

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- fix group

* Thu Dec 09 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- make docs installing
- mandrake adaptations
